# endpoint (Identity v3)

## endpoint add project

Associate a project to an endpoint

    openstack endpoint add project
        [--project-domain <project-domain>]
        <endpoint>
        <project>

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

endpoint

  Endpoint to associate with specified project (name or ID)

project

  Project to associate with specified endpoint name or ID)

## endpoint create

Create new endpoint

    openstack endpoint create
        [--region <region-id>]
        [--enable | --disable]
        <service>
        <interface>
        <url>

--region <region-id>

  New endpoint region ID

--enable

  Enable endpoint (default)

--disable

  Disable endpoint

service

  Service to be associated with new endpoint (name or ID)

interface

  New endpoint interface type (admin, public or internal)

url

  New endpoint URL

## endpoint delete

Delete endpoint(s)

    openstack endpoint delete <endpoint-id> [<endpoint-id> ...]

endpoint-id

  Endpoint(s) to delete (ID only)

## endpoint list

List endpoints

    openstack endpoint list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--service <service>]
        [--interface <interface>]
        [--region <region-id>]
        [--endpoint
        <endpoint-group>
        |
        --project <project>
        ]
        [--project-domain <project-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--service <service>

  Filter by service (type, name or ID)

--interface <interface>

  Filter by interface type (admin, public or internal)

--region <region-id>

  Filter by region ID

--endpoint <endpoint-group>

  Endpoint to list filters

--project <project>

  Project to list filters (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

## endpoint remove project

Dissociate a project from an endpoint

    openstack endpoint remove project
        [--project-domain <project-domain>]
        <endpoint>
        <project>

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

endpoint

  Endpoint to dissociate from specified project (name or ID)

project

  Project to dissociate from specified endpoint name or ID)

## endpoint set

Set endpoint properties

    openstack endpoint set
        [--region <region-id>]
        [--interface <interface>]
        [--url <url>]
        [--service <service>]
        [--enable
        |
        --disable
        ]
        <endpoint-id>

--region <region-id>

  New endpoint region ID

--interface <interface>

  New endpoint interface type (admin, public or internal)

--url <url>

  New endpoint URL

--service <service>

  New endpoint service (name or ID)

--enable

  Enable endpoint

--disable

  Disable endpoint

endpoint-id

  Endpoint to modify (ID only)

## endpoint show

Display endpoint details

    openstack endpoint show <endpoint>

endpoint

  Endpoint to display (endpoint ID, service ID, service name, service type)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.